using _Core;

namespace _Combo
{
    internal class CreateComplainTicket
    {
        public class Request : Serializable
        {
            [Newtonsoft.Json.JsonProperty("identity_token")]
            public string identityToken;
            [Newtonsoft.Json.JsonProperty("target_type")]
            public string targetType;
            [Newtonsoft.Json.JsonProperty("target_id")]
            public string targetId;
            [Newtonsoft.Json.JsonProperty("target_name")]
            public string targetName;
            [Newtonsoft.Json.JsonProperty("server_id")]
            public string serverId;
            [Newtonsoft.Json.JsonProperty("role_id")]
            public string roleId;
            [Newtonsoft.Json.JsonProperty("role_name")]
            public string roleName;
            public string context;
        }

        public class Response : Serializable
        {
            [Newtonsoft.Json.JsonProperty("ticket")]
            public string ticket;
        }
    }
}